/** -*- C++ -*-
	@file adept/acqprogresswidget.h
	@author Peter Rockai <me@mornfall.net>
    @todo Close button!
*/

#ifndef PROGRESSWIDGET_H
#  define PROGRESSWIDGET_H

#include <adept/acqprogresswidgetui.h>
#include <adept/acqprogress.h>

namespace adept {

class AcqProgressWidget : public AcqProgressWidgetUi {
    Q_OBJECT
  TQ_OBJECT
public:
    AcqProgressWidget (TQWidget *tqparent = 0, const char *name = 0);
    aptFront::SharedPtr<aptFront::ProgressCallback> callback() { return m_statusRef.data(); };
public slots:
    void statusChange( AcqtqStatus::tqStatus );
    void setProgress( int );
protected:
    aptFront::SharedPtr<AcqtqStatus> m_statusRef;
};

}

#endif /* ifndef PROGRESSWIDGET_H */

